| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.WindowPositionerControl Class Reference

Control for testing window positioning. More...

Inheritance diagram for IG.Forms.WindowPositionerControl:
[legend]
Collaboration diagram for IG.Forms.WindowPositionerControl:
[legend]

## Public Member Functions
| WindowPositionerControl ()
| Constructs a new positioner form with undefined positioner, positioned window and master window. More...
| WindowPositionerControl (Form positionedWindow, Form masterWindow)
| Constructs a new positioner form with unspecified positioner and specified positioned window and master window. More...
| WindowPositionerControl (Form positionedWindow)
| Constructs a new positioner form with unspecified positioner and master window, and specified positioned window. More...
| WindowPositionerControl (WindowPositioner positioner)
| Constructs a new positioner form with the specified positioner and undefined positioned window and master window. More...
| WindowPositionerControl (WindowPositioner positioner, Form positionedWindow)
| Constructs a new positioner form with the specified positioner and positioned window, and undefined master window. More...
| WindowPositionerControl (WindowPositioner positioner, Form positionedWindow, Form masterWindow)
| Constructs a new positioner form with the specified positioner, positioned window and master window. More...
double | DoubleVal (string str, double defaultValue)
| Converts string to double and returns the value. More...
double | DoubleVal (string str)
| Converts string to double and returns the value (or 0 if conversion was not successful). More...
void | CopyDataToPositioner ()
| Copies data from the form to positioner. More...
void | CopyDataFromPositioner ()
void | LaunchWindows ()
void | MakeWindowsVisible ()

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
WindowPositioner | _positioner
Form | _window
Form | _masterWindow

## Properties
WindowPositioner | Positioner`[get, set]`
| Window positioner. More...
Form | Window`[get, set]`
| Window to be positioned. More...
Form | MasterWindow`[get, set]`
| Master window relative to which position is set. More...
string | Title`[get]`

## Private Member Functions
void | btnLaunchWindows_Click (object sender, EventArgs e)
| Launches the master window and the window to be positioned. More...
void | btnPositionWindows_Click (object sender, EventArgs e)
| Launches the master window and the window to be positioned. More...
void | btnRememberPosition_Click (object sender, EventArgs e)
void | btnStickToMaster_Click (object sender, EventArgs e)
void | btnUnStickFromMaster_Click (object sender, EventArgs e)
void | txtMasterWeight_Enter (object sender, EventArgs e)
void | txtPause_Validated (object sender, EventArgs e)
void | txtPause_Enter (object sender, EventArgs e)
void | chkRememberPositions_CheckedChanged (object sender, EventArgs e)
void | btnRefreshData_Click (object sender, EventArgs e)
void | btnUpdate_Click (object sender, EventArgs e)
void | WindowPositionerControl_Load (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.Label | lblTitle
System.Windows.Forms.GroupBox | grpGeneral
System.Windows.Forms.GroupBox | grpMaster
System.Windows.Forms.GroupBox | grpScreen
System.Windows.Forms.Label | lblMasterWeight
System.Windows.Forms.NumericUpDown | txtMasterWeight
IG.Forms.AlignmentControl | alignWindow
AlignmentControl | alignMaster
AlignmentControl | alignScreen
WindowShiftControlText | shiftWindowRel
WindowShiftControlText | shiftWindowAbsolute
WindowShiftControlText | shiftMasterRel
WindowShiftControlText | shiftScreenRel
System.Windows.Forms.Button | btnLaunchWindows
System.Windows.Forms.Button | btnPositionWindows
System.Windows.Forms.Button | btnStickToMaster
System.Windows.Forms.Button | button1
System.Windows.Forms.TextBox | txtPause
System.Windows.Forms.Label | lblPause
System.Windows.Forms.Button | btnRememberPosition
System.Windows.Forms.CheckBox | chkRememberPositions
System.Windows.Forms.Button | btnUpdate
System.Windows.Forms.Button | btnRefreshData

## Detailed Description

Control for testing window positioning.

$A Igor xx Oct09;

## Constructor & Destructor Documentation

IG.Forms.WindowPositionerControl.WindowPositionerControl | ( |  | ) |
| inline

Constructs a new positioner form with undefined positioner, positioned window and master window.

IG.Forms.WindowPositionerControl.WindowPositionerControl | ( | Form | positionedWindow,
|  | Form | masterWindow
| ) |  |
| inline

Constructs a new positioner form with unspecified positioner and specified positioned window and master window.

Positioner is created automatically and initialized to default state.

Parameters

  positionedWindow | Window that is positioned.
  masterWindow | Master window.

IG.Forms.WindowPositionerControl.WindowPositionerControl | ( | Form | positionedWindow | ) |
| inline

Constructs a new positioner form with unspecified positioner and master window, and specified positioned window.

Positioner is created automatically and initialized to default state.

Parameters

  positionedWindow | Window that is positioned.

IG.Forms.WindowPositionerControl.WindowPositionerControl | ( | WindowPositioner | positioner | ) |
| inline

Constructs a new positioner form with the specified positioner and undefined positioned window and master window.

Parameters

  positioner | Positioner object that positions the window.

IG.Forms.WindowPositionerControl.WindowPositionerControl | ( | WindowPositioner | positioner,
|  | Form | positionedWindow
| ) |  |
| inline

Constructs a new positioner form with the specified positioner and positioned window, and undefined master window.

Parameters

  positioner | Positioner object that positions the window.
  positionedWindow | Window that is positioned.

IG.Forms.WindowPositionerControl.WindowPositionerControl | ( | WindowPositioner | positioner,
|  | Form | positionedWindow,
|  | Form | masterWindow
| ) |  |
| inline

Constructs a new positioner form with the specified positioner, positioned window and master window.

Parameters

  positioner | Positioner object that positions the window.
  positionedWindow | Window that is positioned.
  masterWindow | Master window.

## Member Function Documentation

double IG.Forms.WindowPositionerControl.DoubleVal | ( | string | str,
|  | double | defaultValue
| ) |  |
| inline

Converts string to double and returns the value.

Parameters

  str | String to be converted.
  defaultValue | Value returned if conversion is not successful.

double IG.Forms.WindowPositionerControl.DoubleVal | ( | string | str | ) |
| inline

Converts string to double and returns the value (or 0 if conversion was not successful).

References IG.Forms.WindowPositionerControl.DoubleVal().

Referenced by IG.Forms.WindowPositionerControl.DoubleVal().

void IG.Forms.WindowPositionerControl.CopyDataToPositioner | ( |  | ) |
| inline

Copies data from the form to positioner.

void IG.Forms.WindowPositionerControl.CopyDataFromPositioner | ( |  | ) |
| inline

void IG.Forms.WindowPositionerControl.LaunchWindows | ( |  | ) |
| inline

void IG.Forms.WindowPositionerControl.MakeWindowsVisible | ( |  | ) |
| inline

References IG.Forms.UtilForms.BlinkForm().

void IG.Forms.WindowPositionerControl.btnLaunchWindows_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Launches the master window and the window to be positioned.

void IG.Forms.WindowPositionerControl.btnPositionWindows_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

Launches the master window and the window to be positioned.

void IG.Forms.WindowPositionerControl.btnRememberPosition_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.WindowPositionerControl.btnStickToMaster_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.WindowPositionerControl.btnUnStickFromMaster_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.WindowPositionerControl.txtMasterWeight_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.WindowPositionerControl.txtPause_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Forms.UtilForms.BlinkForm().

void IG.Forms.WindowPositionerControl.txtPause_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.WindowPositionerControl.chkRememberPositions_CheckedChanged | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.WindowPositionerControl.btnRefreshData_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.WindowPositionerControl.btnUpdate_Click | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.WindowPositionerControl.WindowPositionerControl_Load | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.WindowPositionerControl.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.WindowPositionerControl.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

WindowPositioner IG.Forms.WindowPositionerControl._positioner
| protected

Form IG.Forms.WindowPositionerControl._window
| protected

Form IG.Forms.WindowPositionerControl._masterWindow
| protected

System.ComponentModel.IContainer IG.Forms.WindowPositionerControl.components = null
| private

Required designer variable.

System.Windows.Forms.Label IG.Forms.WindowPositionerControl.lblTitle
| private

System.Windows.Forms.GroupBox IG.Forms.WindowPositionerControl.grpGeneral
| private

System.Windows.Forms.GroupBox IG.Forms.WindowPositionerControl.grpMaster
| private

System.Windows.Forms.GroupBox IG.Forms.WindowPositionerControl.grpScreen
| private

System.Windows.Forms.Label IG.Forms.WindowPositionerControl.lblMasterWeight
| private

System.Windows.Forms.NumericUpDown IG.Forms.WindowPositionerControl.txtMasterWeight
| private

IG.Forms.AlignmentControl IG.Forms.WindowPositionerControl.alignWindow
| private

AlignmentControl IG.Forms.WindowPositionerControl.alignMaster
| private

AlignmentControl IG.Forms.WindowPositionerControl.alignScreen
| private

WindowShiftControlText IG.Forms.WindowPositionerControl.shiftWindowRel
| private

WindowShiftControlText IG.Forms.WindowPositionerControl.shiftWindowAbsolute
| private

WindowShiftControlText IG.Forms.WindowPositionerControl.shiftMasterRel
| private

WindowShiftControlText IG.Forms.WindowPositionerControl.shiftScreenRel
| private

System.Windows.Forms.Button IG.Forms.WindowPositionerControl.btnLaunchWindows
| private

System.Windows.Forms.Button IG.Forms.WindowPositionerControl.btnPositionWindows
| private

System.Windows.Forms.Button IG.Forms.WindowPositionerControl.btnStickToMaster
| private

System.Windows.Forms.Button IG.Forms.WindowPositionerControl.button1
| private

System.Windows.Forms.TextBox IG.Forms.WindowPositionerControl.txtPause
| private

System.Windows.Forms.Label IG.Forms.WindowPositionerControl.lblPause
| private

System.Windows.Forms.Button IG.Forms.WindowPositionerControl.btnRememberPosition
| private

System.Windows.Forms.CheckBox IG.Forms.WindowPositionerControl.chkRememberPositions
| private

System.Windows.Forms.Button IG.Forms.WindowPositionerControl.btnUpdate
| private

System.Windows.Forms.Button IG.Forms.WindowPositionerControl.btnRefreshData
| private

## Property Documentation

WindowPositioner IG.Forms.WindowPositionerControl.Positioner
| get set

Window positioner.

Form IG.Forms.WindowPositionerControl.Window
| get set

Window to be positioned.

Form IG.Forms.WindowPositionerControl.MasterWindow
| get set

Master window relative to which position is set.

string IG.Forms.WindowPositionerControl.Title
| get

The documentation for this class was generated from the following files:

- igforms/Utilities/WindowPositioner/WindowPositionerControl.cs
- igforms/Utilities/WindowPositioner/WindowPositionerControl.Designer.cs